SDL_IsMainThread(3)

NAME
SDL_IsMainThread - Return whether this is the main thread.

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_IsMainThread(void);

DESCRIPTION
On Apple platforms, the main thread is the thread that runs your program's main() entry point. On other platforms, the main thread is the one that calls SDL_Init ( SDL_INIT_VIDEO ), which should usually be the one that runs your program's main() entry point. If you are using the main callbacks, SDL_AppInit (),

SDL_AppIterate (), and SDL_AppQuit () are all called on the main thread.

RETURN VALUE
Returns true if this thread is the main thread, or false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RunOnMainThread(3)